// Demo.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "Demo.h"
#include "MainFrm.h"

#include "MPIDocTemplate.h"
#include "MPIChildFrame.h"
#include "DemoDoc.h"
#include "DemoView.h"
#include "DemoBarView.h"
#include "DemoEditView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CDemoApp

BEGIN_MESSAGE_MAP(CDemoApp, CWinApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	// Standard file based document commands
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
	// Standard print setup command
	ON_COMMAND(ID_FILE_PRINT_SETUP, CWinApp::OnFilePrintSetup)
END_MESSAGE_MAP()


// CDemoApp construction

CDemoApp::CDemoApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CDemoApp object

CDemoApp theApp;

// CDemoApp initialization

BOOL CDemoApp::InitInstance()
{
	InitCommonControls();

	CWinApp::InitInstance();

	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	// create the MPI document template
	CMPIDocTemplate* pDocTemplate;
	pDocTemplate = new CMPIDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CDemoDoc),
		RUNTIME_CLASS(CMPIChildFrame));
	AddDocTemplate(pDocTemplate);

	// create and load the main frame window
	CMainFrame* pMainFrame = new CMainFrame;
	if (!pMainFrame->LoadFrame(IDR_MAINFRAME))
		return FALSE;
	m_pMainWnd = pMainFrame;

	// create the document
	CDocument* pDocument = pDocTemplate->CreateNewDocument();

	// define layout of the MPI frames

	BEGIN_MPI_FRAME(pDocTemplate, IDR_FIRST)
		MPI_VSPLIT(20)
			MPI_VIEW(CDemoView)
			MPI_HSPLIT(70)
				MPI_TABS(IDR_TABS)
					MPI_BAR_TOP_A
						MPI_VIEW(CDemoBarView)
						MPI_VIEW(CDemoView)
					MPI_VSPLIT(30)
						MPI_HSPLIT(50)
							MPI_VIEW_EX(CDemoView, 1)
							MPI_VIEW_EX(CDemoView, 2)
						MPI_TABS(IDR_TABS)
							MPI_BAR_TOP_A
								MPI_VIEW(CDemoBarView)
								MPI_VIEW_EX(CDemoView, 3)
							MPI_VIEW_EX(CDemoView, 4)
				MPI_VIEW(CDemoView)
	END_MPI_FRAME

	BEGIN_MPI_FRAME(pDocTemplate, IDR_SECOND)
		MPI_VIEW(CDemoEditView)
	END_MPI_FRAME

	BEGIN_MPI_FRAME(pDocTemplate, IDR_THIRD)
		MPI_BAR_TOP_A
			MPI_VIEW(CDemoBarView)
			MPI_VSPLIT(50)
				MPI_VIEW_EX(CDemoView, 1)
				MPI_HSPLIT(50)
					MPI_VSPLIT(50)
						MPI_VIEW(CDemoEditView)
						MPI_VIEW(CDemoEditView)
					MPI_VIEW_EX(CDemoView, 2)
	END_MPI_FRAME

	pMainFrame->MDIActivate(pDocTemplate->GetChildFrame(0));
	pMainFrame->ShowWindow(m_nCmdShow);
	pMainFrame->UpdateWindow();

	return TRUE;
}



// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()

// App command to run the dialog
void CDemoApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}


// CDemoApp message handlers

